<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Drawing" %>
<html>
<head>
<script runat="server">
string[] colorNames =
	{ "Black", "Blue", "Red", "Magenta", "Green", "Cyan", "Yellow", "White" };
string[] colorNamesBG =
	{ "transparent", "Black", "Blue", "Red", "Magenta", "Green", "Cyan", "Yellow", "White" };

void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		forecolor.DataSource = colorNames;
		backcolor.DataSource = colorNamesBG;
		bordercolor.DataSource = colorNames;
		borderstyle.DataSource = Enum.GetNames(typeof(BorderStyle));

		listbox.DataSource = colorNames;
		dropdownlist.DataSource = colorNames;

		DataBind();
	} else {
		WebControl[] wc = {
			label, textbox, listbox, dropdownlist, button, hyperlink, image };

		Style s = new Style();

		s.ForeColor = Color.FromName(forecolor.SelectedItem.Text);
		s.BackColor = Color.FromName(backcolor.SelectedItem.Text);
		s.BorderColor = Color.FromName(bordercolor.SelectedItem.Text);
		s.BorderStyle = (BorderStyle) Enum.Parse(typeof(BorderStyle), borderstyle.SelectedItem.Text);

		try {
			s.BorderWidth = Int32.Parse(borderwidth.Text);
		}
		catch (Exception ex) {
			s.BorderWidth = Unit.Empty;
		}
		try {
			s.Height = Int32.Parse(height.Text);
		}
		catch (Exception ex) {
			s.Height = Unit.Empty;
		}
		try {
			s.Width = Int32.Parse(width.Text);
		}
		catch (Exception ex) {
			s.Width = Unit.Empty;
		}
		try {
			s.Font.Name = font.Text;
		}
		catch (Exception ex) {
			s.Font.Name = String.Empty;
		}

		foreach (WebControl control in wc) {
			control.ApplyStyle(s);
		}

	}
}
</script>
</head>
<body>
<form runat="server">
<table rules="rows">
<tr>
<td> ForeColor </td><td> <asp:DropDownList id="forecolor" runat="server" /> </td>
<td> BackColor </td><td> <asp:DropDownList id="backcolor" runat="server" /> </td>
<td></td>
<td></td>
</tr>
<tr>
<td> BorderColor </td><td> <asp:DropDownList id="bordercolor" runat="server" /> </td>
<td> BorderStyle </td><td> <asp:DropDownList id="borderstyle" runat="server" /> </td>
<td> BorderWidth </td><td> <asp:TextBox id="borderwidth" runat="server" /> </td>
</tr>
<td> Height </td><td> <asp:TextBox id="height" runat="server" /> </td>
<td> Width </td><td> <asp:TextBox id="width" runat="server" /> </td>
<td> Font </td><td> <asp:TextBox id="font" runat="server" /> </td>
</tr>
</table>
<asp:Button Text="ύX" runat="server" />

<hr>

<asp:Panel id="panel" runat="server">
<table border="1">
<tr>
<td> Label </td><td> <asp:Label id="label" Text="Label" runat="server" /></td>
</tr>
<tr>
<td> TextBox </td><td> <asp:TextBox id="textbox" Text="TextBox" runat="server" /></td>
</tr>
<tr>
<td> ListBox </td><td> <asp:ListBox id="listbox" runat="server" /></td>
</tr>
<tr>
<td> DropDownList </td><td> <asp:DropDownList id="dropdownlist" runat="server" /></td>
</tr>
<tr>
<td> Button </td><td> <asp:Button id="button" Text="Button" runat="server" /></td>
</tr>
<tr>
<td> HyperLink </td><td> <asp:HyperLink id="hyperlink" Text="HyperLink" NavigateUrl="http://www.atmarkit.co.jp/" runat="server" /> </td>
</tr>
<tr>
<td> Image </td><td> <asp:Image id="image" ImageUrl="mainlogo.gif" runat="server" /> </td>
</tr>
</table>
</asp:Panel>

</form>

</body>
</html>
